Skip to main content
POST
/
data
/
projects
/
{id}
/
classes
Create project class
curl --request POST \
  --url https://acusight.io/api/data/projects/{id}/classes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "color": "<string>"
}
'
{
  "data": {
    "color": "<string>",
    "created_at": "<string>",
    "id": 123,
    "name": "<string>",
    "project_id": 123,
    "updated_at": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Path Parameters

id
integer
required

Project ID

Body

application/json

Class creation payload

name
string
required
color
string

Response

Class created

data
object
error
object
meta
object
success
boolean